Re: [R] convergence error (lme) which depends on the version of nlme (?)

From: Dieter Menne <dieter.menne_at_menne-biomed.de>
Date: Tue 13 Dec 2005 - 18:42:39 EST

Leo Gürtler <leog <at> anicca-vijja.de> writes:

>
>
> hlm <- groupedData(laut ~ design | grpzugeh, data = imp.not.I)
>
> the grouped data object is located at and can be downloaded:
....
> www.anicca-vijja.de/lg/hlm_example.Rdata
...
>
>
> 2) What is the cause of the convergence error which seems to depend on
> the built of R/nlme?

The optimization engine has in R 2.2.0 changed, with mixed results, see

http://finzi.psych.upenn.edu/R/Rhelp02a/archive/64096.html

In the short run, setting pnlsTol to a large value than the default worked for me sometimes. In the long run (hope I got Douglas Bates right) you could switch to lme4 which is work in progress, but currently it cannot handle your case.

Dieter



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Tue Dec 13 18:52:17 2005

This archive was generated by hypermail 2.1.8 : Tue 13 Dec 2005 - 23:37:58 EST